Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.uci.ics.jung.graph.decorators
Class DefaultToolTipFunction

    java.lang.Object
      edu.uci.ics.jung.graph.decorators.ToolTipFunctionAdapter
          edu.uci.ics.jung.graph.decorators.DefaultToolTipFunction

All Implemented Interfaces:
  ToolTipFunction, VisualizationViewer.ToolTipListener

Direct Known Subclasses:
  PluggableRendererDemo.VoltageTips

public class DefaultToolTipFunction
extends ToolTipFunctionAdapter

Returns the results of toString on Vertices and Edges Used mainly in demos

Author:
  Tom Nelson - RABA Technologies

Constructor Summary
`DefaultToolTipFunction()`

Method Summary
`String` | `getToolTipText(Edge e)`
`String` | `getToolTipText(MouseEvent e)`
`String` | `getToolTipText(Vertex v)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultToolTipFunction

    public DefaultToolTipFunction()

Method Detail

### getToolTipText

    public String getToolTipText(Vertex v)

  Specified by:
    `getToolTipText` in interface `ToolTipFunction`
  Overrides:
    `getToolTipText` in class `ToolTipFunctionAdapter`
  Parameters:
    `v` - the Vertex
  Returns:
    toString on the passed Vertex

### getToolTipText

    public String getToolTipText(Edge e)

  Specified by:
    `getToolTipText` in interface `ToolTipFunction`
  Overrides:
    `getToolTipText` in class `ToolTipFunctionAdapter`
  Parameters:
    `e` - the Edge
  Returns:
    toString on the passed Edge

### getToolTipText

    public String getToolTipText(MouseEvent e)

  Specified by:
    `getToolTipText` in interface `VisualizationViewer.ToolTipListener`
  Overrides:
    `getToolTipText` in class `ToolTipFunctionAdapter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD